:root {
    --bg-color-white: #e6e6e6;
    --bg-color-desert: #F87060;
    --bg-color-darkblue: #102542;
}

html {
    overflow-x: hidden;
    overflow-y: auto;
}

body {
    background-color: #262627;
    overflow: hidden;
}

* {
    margin: 0;
    box-sizing: border-box;
}

::-webkit-scrollbar {
    height: 10px;
    width: 10px;
    background: #202020;
}

::-webkit-scrollbar-thumb:vertical{
  background: #3a3a3a;
}

::-webkit-scrollbar-thumb:horizontal{
   background: #3a3a3a;
}

.header {
    width: 100%;
    height: auto;
    margin-top: 20px;
    background-color: #2e2e2f;
    border-radius: 24px;
    padding: 10px;
    border: solid 1px #FFFFFF20;
}

.content {
    width: 100%;
    /*min-height: 100vh;*/
    margin: 20px 0px;
    background-color: #2e2e2f;
    border-radius: 24px;
    padding: 10px;
    border: solid 1px #FFFFFF20;
}

.footer {
    width: 100%;
    margin-bottom: 20px;
    background-color: #2e2e2f;
    border-radius: 24px;
    padding: 10px;
    border: solid 1px #FFFFFF20;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    color: var(--bg-color-white)
}

.footer .footer-text {
    color: var(--bg-color-white)
}


.footer .footer-context {
    width: 50%;
    max-width: 100%;
}

h1 {
    font-size: 24px;
    font-weight: 600;
    color: var(--bg-color-white);
}

h2 {
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    color: var(--bg-color-white);
    padding: 10px;
    background-color: var(--bg-color-desert);
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
}

h2.mod {
    margin-bottom: 15px;
    text-align: center;
}

.container {
  width: 1200px;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 15px;
  box-sizing: border-box;
}

.menu {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    height: 60px;
    padding: 0;
    height: auto;
}

.menu .logo {
    transition: all .2s;
    width: 180px;
    height: 40px;
}

.menu .logo img {
    width: 100%;
    height: 100%;
    object-fit: none;
}

.menu .logo:hover {
    transform: scale(1.1);
}

.menu > li {
    list-style-type: none;
    padding-left: 5px;
    padding-right: 5px;
}

.menu > li:first-child {
    padding-left: 0px;
}

.menu > li:last-child {
    padding-right: 0px;
}

.menu > li > a {
    display: block;
    width: 100%;
    height: 40px;
    background-color: #3f3f41;
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    padding: 0px 20px;
    align-content: center;
    text-decoration: none;
    color: var(--bg-color-white);
    transition: all .2s;
}

.menu > li > a:hover {
    border: solid 1px var(--bg-color-desert);
}

.menu li.left {
  margin-left: auto;
}

.menu li:not(.left) {
  margin-right: 20px;
}

.menu li.left + li.left {
  margin-left: 20px;
}

img {
    max-width: 100%;
    max-height: 100%;
}

a {
    text-decoration: none;
}

.products {
    display: grid;
    grid-template-columns: repeat(auto-fill, 178px);
    gap: 16px;
    justify-content: center;
    padding: 20px 0px;
}

.products > .product {
    width: 100%;
    background-color: #3f3f41;
    border: solid 1px #FFFFFF20;
    border-radius: 14px;
    transition: all .2s;
}

.products > .product:hover {
    background-color: var(--bg-color-desert);
}

.products > .product:hover > .price {
    color: var(--bg-color-white);
}


.products > .product > .img {
    width: 100%;
    max-height: 75%;
    padding: 10px;
    border-bottom: solid 1px #FFFFFF20;
}

.products > .product > .img > img {
    object-fit: contain;
}

.products > .product > .name {
    width: 100%;
    padding-top: 10px;
    text-align: center;
    color: var(--bg-color-white);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    height: 60px;
    align-content: center;
}

.products > .product > .price {
    width: 100%;
    padding-bottom: 10px;
    text-align: center;
    color: var(--bg-color-desert);
    font-size: 20px;
    font-weight: 600;
    transition: all .2s;
}

canvas{ display: block; vertical-align: bottom; }
#particles-js{ position:absolute; width: 100%; height: 100%; z-index: -1; }

.user_balance {
    color: var(--bg-color-desert) !important;
    font-size: 14px;
    font-weight: 600;
}

.user_name {
    color: var(--bg-color-white);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
}

.modal {
    background-color: #4e4e50;
    width: 600px;
    max-width: 100%;
    position: fixed;
    top: -100vh;
    left: calc(50vw - 300px);
    padding: 10px;
    border-radius: 24px;
    border: solid 1px #FFFFFF20;
    color: var(--bg-color-white);
    transition: all .2s;
}

.modal.openned {
    top: 20vh;
}

.modal .modal-buttons {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding-bottom: 10px;
    border-bottom: solid 1px #FFFFFF20;
}

.modal .modal-buttons a {
    background-color: #3f3f41;
    border: solid 1px #FFFFFF20;
    padding: 10px 20px;
    border-radius: 14px;
    color: var(--bg-color-white);
    text-transform: uppercase;
    font-size: 14px;
    font-weight: 600;
    transition: all .2s;
    padding-bottom: 10px;
}

.modal .modal-buttons a:hover, .modal .modal-buttons a.openned {
    border: solid 1px var(--bg-color-desert);
}

.modal .modal-content {
    display: none;
    padding: 10px 0px;
    max-height: 70vh;
    overflow-y: auto;
}

.modal .modal-content.openned {
    display: block;
}

.modal .modal-content.forever {
    display: block;
}

.btn {
    display: block;
    height: 40px;
    min-width: 80px;
    width: fit-content;
    text-align: center;
    align-content: center;
    background-color: #3f3f41;
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    color: var(--bg-color-white);
    font-size: 14px;
    font-weight: 600;
    transition: all .2s;
    padding: 0px 20px;
}

.btn:hover {
    border: solid 1px var(--bg-color-desert);
}

input.submit {
    width: 100%;
    max-width: 100%;
    margin: auto;
}

.form-group {
    padding-top: 10px;
    text-align: center;
}

.form-group:first-child {
    padding-top: unset;
}

input, select, textarea {
    width: 100%;
    height: 40px;
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    outline: none;
    background-color: #3f3f41;
    color: var(--bg-color-white);
    padding: 0px 10px;
    transition: all .2s;
}

textarea {
    height: unset;
    min-height: 180px;
    padding: 10px;
}

input:focus,
select:focus,
textarea:focus {
    border: solid 1px var(--bg-color-desert);
}

[type="submit"] {
    cursor: pointer;
}

.payment-methods {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    align-content: center;
    align-items: center;
    justify-content: space-between;
}

.payment-methods .method {
    height: 40px;
    width: calc(100% / 2 - 10px);
    background-color: #3f3f41;
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    transition: all .2s;
}

.payment-methods .method:hover, .payment-methods .method.selected {
    border: solid 1px var(--bg-color-desert);
}

.payment-methods .method:hover .method-img, .payment-methods .method.selected .method-img {
    border: solid 1px var(--bg-color-desert);
}

.payment-methods .method .method-img {
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    height: 38px;
    width: 38px;
    object-fit: cover;
}

.payment-methods .method .method-name {
    width: 100%;
    height: 100%;
    align-content: center;
    padding-left: 10px;
    font-size: 16px;
    font-weight: 600;
    text-align: left;
}

.form-text {
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    color: var(--bg-color-white);
}

.product-content {
    display: flex;
    flex-wrap: wrap;
}

.product-left-content {
    max-width: 50%;
    width: 50%;
    padding: 10px;
    height: fit-content;
}

.product-left-content p {
    color: var(--bg-color-white);
    font-size: 14px;
    font-weight: 600;
    padding: 10px;
}

.product-right-content {
    max-width: 50%;
    width: 50%;
    padding: 10px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    height: fit-content;
}

.product-right-content .product-img {
    background-color: #3f3f41;
    border-radius: 14px;
    padding: 10px;
    object-fit: cover;
    width: 220px;
    height: 220px;
}

.product-information {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc(100% - 220px);
    padding: 10px;
}

.product-price {
    color: var(--bg-color-white);
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 10px;
    width: 100%;
    height: 40px;
    background-color: #3f3f41;
    border-radius: 14px;
    border: solid 1px #FFFFFF20;
    text-align: center;
    align-content: center;
}

.product-action {
    width: 100%;
}

@media screen and (max-width: 1100px) {
    .menu li:not(.left) {
        margin-right: 10px;
    }
    .menu li.left + li.left {
        margin-left: 10px;
    }
}

@media screen and (max-width: 1020px) {
    .menu .logo {
        width: 100%;
        text-align: center;
    }
}

@media screen and (max-width: 840px) {
    .menu .logo {
        width: 100%;
        text-align: center;
    }
    .menu > li {
        padding: 5px;
    }
    .footer .footer-context {
        width: 100%;
    }
    .modal.openned {
        top: 5vh;
    }
    .modal {
        width: 90%;
        left: 5%;
    }
    .product-content {
        display: block;
    }
    .product-content >  * {
        max-width: 100%;
        width: 100%;
    }
}